#!/bin/bash
basedir=`pwd`
mkdir -p "$basedir/bin"

echo -en "\033[1;35m\n\nBuilding zlib\n"
cd "$basedir/TPFextract/zip/zlib"
make libz.a

echo -en "\033[1;32m\n\nBuilding TPFextract\n"
cd "$basedir/TPFextract/"
make -f Makefile.linux
mv TPFextract "$basedir/bin/"
make -f Makefile.linux clean

echo -en "\033[1;34m\n\nBuilding TPFextractGUI\n"
cd "$basedir/TPFextractGUI"
qmake-qt4 TPFextractGUI.pro
make
make clean
mv TPFextractGUI "$basedir/bin/"

echo -e "\033[1;30m\n\nBuilding complete\nBinaries are located in:\n$basedir/bin\n"
echo -e "Install with: sudo mv bin/* /usr/bin/"
